%define version		0.6.8

%define name		jigdo
%define release		3mdk
%define title		Jigdo
%define summary		Jigsaw Download
%define longtitle	%{summary}
%define group		Networking/File transfer
%define section		%{group}
%define icon		jigdo.png

# To have the RPM be buildabable with Mandrake features even on 
# non-Mandrake PCs copy some defines
# Menu directories
%define _menudir	%{_libdir}/menu
%define _iconsdir	%{_datadir}/icons
%define _miconsdir	%{_datadir}/icons/mini
%define _liconsdir	%{_datadir}/icons/large

# Update Menu
%define _update_menus_bin %{_bindir}/update-menus
%define update_menus if [ -x %{_update_menus_bin} ]; then %{_update_menus_bin} || true ; fi

# Clean Menu
%define clean_menus if [ "$1" = "0" -a -x %{_update_menus_bin} ]; then %{_update_menus_bin} || true ; fi

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		%{group}
URL:		http://atterer.net/jigdo/
#Source:		http://home.in.tum.de/atterer/jigdo/%{name}-%{version}.tar.bz2
Source:		http://atterer.net/jigdo/%{name}-%{version}.tar.bz2

# Icons for Mandrake menu:
Source10:	%{name}-48.png.bz2
Source11:	%{name}-32.png.bz2
Source12:	%{name}-16.png.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
Requires:	common-licenses
BuildRequires:	libdb3.3-devel, w3c-libwww-devel, libopenssl0-devel
Requires:	libdb3.3      , w3c-libwww      , libopenssl0
BuildRequires:	mawk

%description
Jigsaw Download, or short jigdo, is an intelligent tool that can be used on the
pieces of any chopped-up big file to create a special "template" file which
makes reassembly of the file very easy for users who only have the pieces.

What makes jigdo special is that there are no restrictions on what
offsets/sizes the individual pieces have in the original big image. This makes
the program very well suited for distributing CD/DVD images (or large zip/tar
archives) because you can put the files on the CD on an FTP server - when jigdo
is presented the files along with the template you generated, it is able to
recreate the CD image.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Mandrake menu stuff
mkdir -p %{buildroot}%{_menudir}
cat > %buildroot%{_menudir}/%{name} << EOF
?package(%{name}): \
    command="%{_bindir}/%{name}" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    section="%{section}" \
    icon="%{icon}" \
    needs="x11"
EOF

# Mandrake menu icons
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
bzip2 -cd %{SOURCE10} > %{buildroot}%{_liconsdir}/%{icon}
bzip2 -cd %{SOURCE11} > %{buildroot}%{_iconsdir}/%{icon}
bzip2 -cd %{SOURCE12} > %{buildroot}%{_miconsdir}/%{icon}

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
# Update the Mandrake menus
# This will only execute, if %{_update_menus_bin} (see above)
# is executable
%{update_menus}

%postun
# Update the Mandrake menus
# This will only execute, if %{_update_menus_bin} (see above)
# is executable
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README VERSION doc/jigdo-file.* doc/TechDetails.txt
%{_bindir}/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}*
%{_menudir}/%{name}
%{_liconsdir}/%{icon}
%{_iconsdir}/%{icon}
%{_miconsdir}/%{icon}

%changelog
* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.8-3mdk
- Rebuild for new glibc

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.8-2mdk
- rebuild

* Sat Jul 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.8-1mdk
- 0.6.8

* Thu Jun  6 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.7-1mdk
- 0.6.7
- Remove gcc 3.1 patch - merged upstream
- Fix download source

* Fri May 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.6-1mdk
- 0.6.6
- Add patch to make it compile with gcc 3.1.1

* Fri Apr 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.5-1mdk
- After constant reminders by the author, here's the (not that much 
  anymore) brand new version of the academy award winning jigdo - 
  Version 0.6.5! ;)

* Tue Mar  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.4-1mdk
- 0.6.4

* Sun Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-3mdk
- Jigdo compiles with gcc 2.96 now

* Sat Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-2mdk
- Make the SPEC be generic, so that it can be built on non-Mandrake
  machines

* Sat Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-1mdk
- 0.6.2
- Remove patch1 - merged upstream

* Tue Jan 22 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.1-1mdk
- First Mandrake release

